Last Comment Bug 1145903 - Intermittent bug917595-exif-rotated.jpg | image comparison (==), max difference: 224, number of differing pixels: 434985
: Intermittent bug917595-exif-rotated.jpg | image comparison (==), max differen...
Status: RESOLVED DUPLICATE of bug 1251088
[rr-chaos]
: intermittent-failure
Product: Core
Classification: Components
Component: Layout: Images (show other bugs)
: 39 Branch
: x86_64 Mac OS X
-- normal (vote)
: ---
Assigned To: Benoit Girard (:BenWa)
:
: Jet Villegas (:jet)
Mentors:
: 1242089 (view as bug list)
Depends on: 1251280 1251796
Blocks:
  Show dependency treegraph
 
Reported: 2015-03-20 17:03 PDT by Wes Kocher (:KWierso)
Modified: 2016-07-18 15:28 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
affected
affected

MozReview Requests
Submitter Diff Changes Open Issues Last Updated
Loading...
Error loading review requests:
Show discarded requests

Attachments
MozReview Request: Bug 1145903 - Use CSS to shrinkToFit instead of a racy set of width/height on the image frame. r=seth (58 bytes, text/x-review-board-request)
2016-02-22 16:03 PST, Benoit Girard (:BenWa)
tnikkel: review+
Details | Review

Description User image Wes Kocher (:KWierso) 2015-03-20 17:03:03 PDT
16:22:31 INFO - REFTEST INFO | [CONTENT] MozInvalidateEvent didn't invalidate
16:22:31 INFO - REFTEST TEST-LOAD | file:///builds/slave/talos-slave/test/build/tests/reftest/tests/dom/html/reftests/bug917595-1-ref.html | 11653 / 11944 (97%)
16:22:31 INFO - REFTEST INFO | [CONTENT] MozInvalidateEvent didn't invalidate
16:22:31 INFO - REFTEST fuzzy match
16:22:31 INFO - REFTEST TEST-PASS | file:///builds/slave/talos-slave/test/build/tests/reftest/tests/dom/html/reftests/bug917595-iframe-1.html | image comparison (==)
16:22:31 INFO - REFTEST INFO | Loading a blank page
16:22:31 INFO - REFTEST TEST-END | file:///builds/slave/talos-slave/test/build/tests/reftest/tests/dom/html/reftests/bug917595-iframe-1.html
16:22:31 INFO - REFTEST TEST-START | file:///builds/slave/talos-slave/test/build/tests/reftest/tests/dom/html/reftests/bug917595-exif-rotated.jpg
16:22:31 INFO - REFTEST TEST-LOAD | file:///builds/slave/talos-slave/test/build/tests/reftest/tests/dom/html/reftests/bug917595-exif-rotated.jpg | 11654 / 11944 (97%)
16:22:31 INFO - REFTEST TEST-LOAD | file:///builds/slave/talos-slave/test/build/tests/reftest/tests/dom/html/reftests/bug917595-pixel-rotated.jpg | 11654 / 11944 (97%)
16:22:32 INFO - REFTEST TEST-UNEXPECTED-FAIL | file:///builds/slave/talos-slave/test/build/tests/reftest/tests/dom/html/reftests/bug917595-exif-rotated.jpg | image comparison (==), max difference: 224, number of differing pixels: 434985

http://hg.mozilla.org/mozilla-central/raw-file/tip/layout/tools/reftest/reftest-analyzer.xhtml#logurl=http://ftp.mozilla.org/pub/mozilla.org/firefox/tinderbox-builds/fx-team-macosx64/1426886975/fx-team_snowleopard_test-reftest-bm106-tests1-macosx-build179.txt.gz&only_show_unexpected=1

16:22:32 INFO - REFTEST INFO | Loading a blank page
16:22:32 INFO - REFTEST TEST-END | file:///builds/slave/talos-slave/test/build/tests/reftest/tests/dom/html/reftests/bug917595-exif-rotated.jpg
16:22:32 INFO - REFTEST TEST-START | file:///builds/slave/talos-slave/test/build/tests/reftest/tests/dom/html/reftests/bug1106522-1.html
16:22:32 INFO - REFTEST TEST-LOAD | file:///builds/slave/talos-slave/test/build/tests/reftest/tests/dom/html/reftests/bug1106522-1.html | 11655 / 11944 (97%)
16:22:32 INFO - REFTEST TEST-LOAD | file:///builds/slave/talos-slave/test/build/tests/reftest/tests/dom/html/reftests/bug1106522-ref.html | 11655 / 11944 (97%)
16:22:32 INFO - REFTEST TEST-PASS | file:///builds/slave/talos-slave/test/build/tests/reftest/tests/dom/html/reftests/bug1106522-1.html | image comparison (==)
16:22:32 INFO - REFTEST INFO | Loading a blank page
16:22:32 INFO - REFTEST TEST-END | file:///builds/slave/talos-slave/test/build/tests/reftest/tests/dom/html/reftests/bug1106522-1.html
16:22:32 INFO - REFTEST TEST-START | file:///builds/slave/talos-slave/test/build/tests/reftest/tests/dom/html/reftests/bug1106522-2.html
Comment 1 User image Treeherder Robot 2015-03-20 17:03:11 PDT
log: https://treeherder.mozilla.org/logviewer.html#?repo=fx-team&job_id=2349869
repository: fx-team
start_time: 2015-03-20T15:54:14
who: wkocher[at]mozilla[dot]com
machine: t-snow-r4-0125
buildname: Rev4 MacOSX Snow Leopard 10.6 fx-team opt test reftest
revision: 75d6a950bf41

ValueError: invalid literal for int() with base 10: 'ps:'
ValueError: invalid literal for int() with base 10: 'ps:'
REFTEST TEST-UNEXPECTED-FAIL | file:///builds/slave/talos-slave/test/build/tests/reftest/tests/dom/html/reftests/bug917595-exif-rotated.jpg | image comparison (==), max difference: 224, number of differing pixels: 434985
Comment 2 User image Alexandre LISSY :gerard-majax 2015-04-02 05:57:32 PDT
Also happening on mulet tc: https://treeherder.allizom.org/#/jobs?repo=try&revision=794839d25b56&exclusion_profile=false
Comment 3 User image Treeherder Robot 2015-04-10 11:56:04 PDT
log: https://treeherder.mozilla.org/logviewer.html#?repo=mozilla-aurora&job_id=757564
repository: mozilla-aurora
start_time: 2015-04-10T11:21:28
who: rvandermeulen[at]mozilla[dot]com
machine: t-snow-r4-0142
buildname: Rev4 MacOSX Snow Leopard 10.6 mozilla-aurora opt test reftest
revision: 091fa522326b

REFTEST TEST-UNEXPECTED-FAIL | file:///builds/slave/test/build/tests/reftest/tests/dom/html/reftests/bug917595-exif-rotated.jpg | image comparison (==), max difference: 224, number of differing pixels: 433201
Comment 4 User image Treeherder Robot 2015-05-07 13:45:41 PDT
log: https://treeherder.mozilla.org/logviewer.html#?repo=fx-team&job_id=2978642
repository: fx-team
start_time: 2015-05-07T12:30:54
who: wkocher[at]mozilla[dot]com
machine: t-snow-r4-0039
buildname: Rev4 MacOSX Snow Leopard 10.6 fx-team opt test reftest
revision: 2bda9fb3b5d6

REFTEST TEST-UNEXPECTED-FAIL | file:///builds/slave/test/build/tests/reftest/tests/dom/html/reftests/bug917595-exif-rotated.jpg | image comparison (==), max difference: 224, number of differing pixels: 434985
Comment 5 User image Treeherder Robot 2015-05-23 20:04:55 PDT
log: https://treeherder.mozilla.org/logviewer.html#?repo=b2g-inbound&job_id=2003596
repository: b2g-inbound
start_time: 2015-05-23T18:33:42
who: philringnalda[at]gmail[dot]com
machine: t-snow-r4-0086
buildname: Rev4 MacOSX Snow Leopard 10.6 b2g-inbound debug test reftest
revision: 619d60795f1b

REFTEST TEST-UNEXPECTED-FAIL | file:///builds/slave/test/build/tests/reftest/tests/dom/html/reftests/bug917595-exif-rotated.jpg | image comparison (==), max difference: 13, number of differing pixels: 12075
Comment 6 User image Treeherder Robot 2015-05-26 08:07:19 PDT
log: https://treeherder.mozilla.org/logviewer.html#?repo=fx-team&job_id=3212663
repository: fx-team
start_time: 2015-05-26T07:21:41
who: philringnalda[at]gmail[dot]com
machine: t-snow-r4-0094
buildname: Rev4 MacOSX Snow Leopard 10.6 fx-team opt test reftest
revision: 0780ad7e729c

REFTEST TEST-UNEXPECTED-FAIL | file:///builds/slave/test/build/tests/reftest/tests/dom/html/reftests/bug917595-exif-rotated.jpg | image comparison (==), max difference: 224, number of differing pixels: 434985
Comment 7 User image Ed Morley [:emorley] 2015-07-03 05:14:20 PDT
Inactive; closing (see bug 1180138).
Comment 8 User image Treeherder Robot 2015-07-04 14:34:53 PDT
log: https://treeherder.mozilla.org/logviewer.html#?repo=mozilla-central&job_id=1756886
repository: mozilla-central
start_time: 2015-07-04T12:48:09
who: philringnalda[at]gmail[dot]com
machine: tst-linux64-spot-845
buildname: Ubuntu VM 12.04 x64 mozilla-central debug test reftest-4
revision: 136c41fca853

REFTEST TEST-UNEXPECTED-FAIL | file:///builds/slave/test/build/tests/reftest/tests/dom/html/reftests/bug917595-exif-rotated.jpg | image comparison (==), max difference: 7, number of differing pixels: 9320
Comment 9 User image Treeherder Robot 2015-07-05 13:27:24 PDT
log: https://treeherder.mozilla.org/logviewer.html#?repo=oak&job_id=113297
repository: oak
start_time: 2015-07-05T12:46:18
who: rstrong[at]mozilla[dot]com
machine: tst-linux64-spot-156
buildname: Ubuntu VM 12.04 x64 oak debug test reftest-4
revision: 942f77497ccb

REFTEST TEST-UNEXPECTED-FAIL | file:///builds/slave/test/build/tests/reftest/tests/dom/html/reftests/bug917595-exif-rotated.jpg | image comparison (==), max difference: 7, number of differing pixels: 9320
Comment 10 User image Treeherder Robot 2015-07-06 12:52:26 PDT
log: https://treeherder.mozilla.org/logviewer.html#?repo=try&job_id=9108711
repository: try
start_time: 2015-07-06T11:13:45
who: ehsan[dot]akhgari[at]gmail[dot]com
machine: t-snow-r4-0084
buildname: Rev4 MacOSX Snow Leopard 10.6 try opt test reftest
revision: b1e87c2b327e

REFTEST TEST-UNEXPECTED-FAIL | file:///builds/slave/test/build/tests/reftest/tests/dom/html/reftests/bug917595-exif-rotated.jpg | image comparison (==), max difference: 224, number of differing pixels: 434985
Comment 11 User image Treeherder Robot 2015-07-24 04:10:36 PDT
log: https://treeherder.mozilla.org/logviewer.html#?repo=mozilla-inbound&job_id=12083174
repository: mozilla-inbound
start_time: 2015-07-24T00:50:12
who: tomcat[at]mozilla[dot]com
machine: t-snow-r4-0121
buildname: Rev4 MacOSX Snow Leopard 10.6 mozilla-inbound debug test reftest
revision: a8f7b1fb0a71

REFTEST TEST-UNEXPECTED-FAIL | file:///builds/slave/test/build/tests/reftest/tests/dom/html/reftests/bug917595-exif-rotated.jpg | image comparison (==), max difference: 13, number of differing pixels: 12075
Comment 12 User image Treeherder Robot 2015-08-03 14:30:19 PDT
log: https://treeherder.mozilla.org/logviewer.html#?repo=mozilla-inbound&job_id=12438031
repository: mozilla-inbound
start_time: 2015-08-03T13:02:57
who: wkocher[at]mozilla[dot]com
machine: t-w864-ix-124
buildname: Windows 8 64-bit mozilla-inbound debug test reftest
revision: 635fb4ea6b50

REFTEST TEST-UNEXPECTED-FAIL | file:///C:/slave/test/build/tests/reftest/tests/dom/html/reftests/bug917595-exif-rotated.jpg | image comparison (==), max difference: 7, number of differing pixels: 11881
Return code: 1
Comment 13 User image Treeherder Robot 2015-08-06 09:42:03 PDT
log: https://treeherder.mozilla.org/logviewer.html#?repo=fx-team&job_id=4110020
repository: fx-team
start_time: 2015-08-06T09:00:10
who: rvandermeulen[at]mozilla[dot]com
machine: t-snow-r4-0019
buildname: Rev4 MacOSX Snow Leopard 10.6 fx-team opt test reftest
revision: 3d40d82d9e5a

REFTEST TEST-UNEXPECTED-FAIL | file:///builds/slave/test/build/tests/reftest/tests/dom/html/reftests/bug917595-exif-rotated.jpg | image comparison (==), max difference: 13, number of differing pixels: 12075
Comment 14 User image Treeherder Robot 2015-08-13 02:21:35 PDT
log: https://treeherder.mozilla.org/logviewer.html#?repo=mozilla-inbound&job_id=12814327
repository: mozilla-inbound
start_time: 2015-08-12T23:42:09
who: archaeopteryx[at]coole-files[dot]de
machine: t-xp32-ix-081
buildname: Windows XP 32-bit mozilla-inbound debug test reftest
revision: 2302cc77b400

REFTEST TEST-UNEXPECTED-FAIL | file:///C:/slave/test/build/tests/reftest/tests/dom/html/reftests/bug917595-exif-rotated.jpg | image comparison (==), max difference: 7, number of differing pixels: 9320
Return code: 1
Comment 15 User image Treeherder Robot 2015-08-19 14:13:36 PDT
log: https://treeherder.mozilla.org/logviewer.html#?repo=mozilla-inbound&job_id=13057865
repository: mozilla-inbound
start_time: 2015-08-19T12:58:18
who: wkocher[at]mozilla[dot]com
machine: t-snow-r4-0069
buildname: Rev4 MacOSX Snow Leopard 10.6 mozilla-inbound debug test reftest
revision: 938701d3cf0c

REFTEST TEST-UNEXPECTED-FAIL | file:///builds/slave/test/build/tests/reftest/tests/dom/html/reftests/bug917595-exif-rotated.jpg | image comparison (==), max difference: 13, number of differing pixels: 12075
Comment 16 User image Treeherder Robot 2015-08-24 22:42:12 PDT
log: https://treeherder.mozilla.org/logviewer.html#?repo=mozilla-inbound&job_id=13251226
repository: mozilla-inbound
start_time: 2015-08-24T20:49:44
who: nigelbabu[at]gmail[dot]com
machine: t-w864-ix-179
buildname: Windows 8 64-bit mozilla-inbound debug test reftest
revision: ce19ea0695c2

REFTEST TEST-UNEXPECTED-FAIL | file:///C:/slave/test/build/tests/reftest/tests/dom/html/reftests/bug917595-exif-rotated.jpg | image comparison (==), max difference: 7, number of differing pixels: 11881
Return code: 1
Comment 17 User image Treeherder Robot 2015-08-26 15:26:44 PDT
log: https://treeherder.mozilla.org/logviewer.html#?repo=b2g-inbound&job_id=2618957
repository: b2g-inbound
start_time: 2015-08-26T14:01:28
who: philringnalda[at]gmail[dot]com
machine: t-w864-ix-054
buildname: Windows 8 64-bit b2g-inbound debug test reftest
revision: 13cd9ed4b792

REFTEST TEST-UNEXPECTED-FAIL | file:///C:/slave/test/build/tests/reftest/tests/dom/html/reftests/bug917595-exif-rotated.jpg | image comparison (==), max difference: 7, number of differing pixels: 11881
Return code: 1
Comment 18 User image Treeherder Robot 2015-08-27 15:38:51 PDT
log: https://treeherder.mozilla.org/logviewer.html#?repo=b2g-inbound&job_id=2629961
repository: b2g-inbound
start_time: 2015-08-27T14:53:57
who: rvandermeulen[at]mozilla[dot]com
machine: t-snow-r4-0090
buildname: Rev4 MacOSX Snow Leopard 10.6 b2g-inbound opt test reftest
revision: 4e5e7b50bc48

REFTEST TEST-UNEXPECTED-FAIL | file:///builds/slave/test/build/tests/reftest/tests/dom/html/reftests/bug917595-exif-rotated.jpg | image comparison (==), max difference: 13, number of differing pixels: 12075
Comment 19 User image Treeherder Robot 2015-09-04 15:08:06 PDT
log: https://treeherder.mozilla.org/logviewer.html#?repo=fx-team&job_id=4556257
repository: fx-team
start_time: 2015-09-04T14:11:53
who: wkocher[at]mozilla[dot]com
machine: t-snow-r4-0001
buildname: Rev4 MacOSX Snow Leopard 10.6 fx-team opt test reftest
revision: 08db6a99d3dd

REFTEST TEST-UNEXPECTED-FAIL | file:///builds/slave/test/build/tests/reftest/tests/dom/html/reftests/bug917595-exif-rotated.jpg | image comparison (==), max difference: 224, number of differing pixels: 433201
Comment 20 User image Treeherder Robot 2015-09-11 07:57:12 PDT
log: https://treeherder.mozilla.org/logviewer.html#?repo=mozilla-inbound&job_id=13960605
repository: mozilla-inbound
start_time: 2015-09-11T07:01:46
who: philringnalda[at]gmail[dot]com
machine: t-snow-r4-0155
buildname: Rev4 MacOSX Snow Leopard 10.6 mozilla-inbound opt test reftest
revision: 5a8d86582839

REFTEST TEST-UNEXPECTED-FAIL | file:///builds/slave/test/build/tests/reftest/tests/dom/html/reftests/bug917595-exif-rotated.jpg | image comparison (==), max difference: 224, number of differing pixels: 433201
Comment 21 User image Treeherder Robot 2015-09-14 14:36:39 PDT
log: https://treeherder.mozilla.org/logviewer.html#?repo=mozilla-aurora&job_id=1160675
repository: mozilla-aurora
start_time: 2015-09-14T12:52:59
who: wkocher[at]mozilla[dot]com
machine: t-snow-r4-0018
buildname: Rev4 MacOSX Snow Leopard 10.6 mozilla-aurora debug test reftest
revision: 142da1b3567a

REFTEST TEST-UNEXPECTED-FAIL | file:///builds/slave/test/build/tests/reftest/tests/dom/html/reftests/bug917595-exif-rotated.jpg | image comparison (==), max difference: 13, number of differing pixels: 12075
Comment 22 User image Treeherder Robot 2015-09-17 09:38:29 PDT
log: https://treeherder.mozilla.org/logviewer.html#?repo=mozilla-inbound&job_id=14275742
repository: mozilla-inbound
start_time: 2015-09-17T07:59:58
who: philringnalda[at]gmail[dot]com
machine: t-snow-r4-0065
buildname: Rev4 MacOSX Snow Leopard 10.6 mozilla-inbound opt test reftest
revision: f3b279e03095

REFTEST TEST-UNEXPECTED-FAIL | file:///builds/slave/test/build/tests/reftest/tests/dom/html/reftests/bug917595-exif-rotated.jpg | image comparison (==), max difference: 224, number of differing pixels: 433201
Comment 23 User image Treeherder Robot 2015-09-22 14:32:15 PDT
log: https://treeherder.mozilla.org/logviewer.html#?repo=mozilla-inbound&job_id=14524374
repository: mozilla-inbound
start_time: 2015-09-22T13:52:00
who: wkocher[at]mozilla[dot]com
machine: t-snow-r4-0126
buildname: Rev4 MacOSX Snow Leopard 10.6 mozilla-inbound opt test reftest
revision: 6c6c8f494960

REFTEST TEST-UNEXPECTED-FAIL | file:///builds/slave/test/build/tests/reftest/tests/dom/html/reftests/bug917595-exif-rotated.jpg | image comparison (==), max difference: 224, number of differing pixels: 433201
Comment 24 User image Treeherder Robot 2015-09-25 14:24:29 PDT
log: https://treeherder.mozilla.org/logviewer.html#?repo=mozilla-inbound&job_id=14736543
repository: mozilla-inbound
start_time: 2015-09-25T13:33:49
who: philringnalda[at]gmail[dot]com
machine: t-snow-r4-0009
buildname: Rev4 MacOSX Snow Leopard 10.6 mozilla-inbound opt test reftest
revision: 0499228f8fd1

REFTEST TEST-UNEXPECTED-FAIL | file:///builds/slave/test/build/tests/reftest/tests/layout/reftests/async-scrolling/bg-fixed-child-mask.html | image comparison (==), max difference: 165, number of differing pixels: 25552
REFTEST TEST-UNEXPECTED-FAIL | file:///builds/slave/test/build/tests/reftest/tests/dom/html/reftests/bug917595-exif-rotated.jpg | image comparison (==), max difference: 224, number of differing pixels: 433201
Comment 25 User image Treeherder Robot 2015-09-27 23:42:04 PDT
log: https://treeherder.mozilla.org/logviewer.html#?repo=fx-team&job_id=4852386
repository: fx-team
start_time: 2015-09-25T18:04:13
who: tomcat[at]mozilla[dot]com
machine: t-snow-r4-0084
buildname: Rev4 MacOSX Snow Leopard 10.6 fx-team opt test reftest
revision: e597556a8433

REFTEST TEST-UNEXPECTED-FAIL | file:///builds/slave/test/build/tests/reftest/tests/dom/html/reftests/bug917595-exif-rotated.jpg | image comparison (==), max difference: 224, number of differing pixels: 433201
Comment 26 User image Treeherder Robot 2015-09-29 07:07:25 PDT
log: https://treeherder.mozilla.org/logviewer.html#?repo=mozilla-beta&job_id=539787
repository: mozilla-beta
start_time: 2015-09-29T04:53:55
who: philringnalda[at]gmail[dot]com
machine: t-xp32-ix-057
buildname: Windows XP 32-bit mozilla-beta debug test reftest
revision: 5da94c05c7a9

REFTEST TEST-UNEXPECTED-FAIL | file:///C:/slave/test/build/tests/reftest/tests/dom/html/reftests/bug917595-exif-rotated.jpg | image comparison (==), max difference: 7, number of differing pixels: 9320
Return code: 1
Comment 27 User image Treeherder Robot 2015-09-29 22:12:40 PDT
log: https://treeherder.mozilla.org/logviewer.html#?repo=mozilla-inbound&job_id=14942177
repository: mozilla-inbound
start_time: 2015-09-29T21:16:55
who: philringnalda[at]gmail[dot]com
machine: t-snow-r4-0040
buildname: Rev4 MacOSX Snow Leopard 10.6 mozilla-inbound opt test reftest
revision: 773d520c0cb1

REFTEST TEST-UNEXPECTED-FAIL | file:///builds/slave/test/build/tests/reftest/tests/dom/html/reftests/bug917595-exif-rotated.jpg | image comparison (==), max difference: 224, number of differing pixels: 433201
Comment 28 User image OrangeFactor Robot 2015-10-11 18:06:01 PDT
7 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 2
* mozilla-central: 2
* b2g-inbound: 2
* fx-team: 1

Platform breakdown:
* osx-10-6: 4
* windows7-32: 3

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1145903&startday=2015-10-05&endday=2015-10-11&tree=all
Comment 29 User image OrangeFactor Robot 2015-10-18 18:09:18 PDT
8 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 4
* b2g-inbound: 3
* fx-team: 1

Platform breakdown:
* osx-10-6: 6
* windows7-32: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1145903&startday=2015-10-12&endday=2015-10-18&tree=all
Comment 30 User image OrangeFactor Robot 2015-10-25 18:07:58 PDT
10 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* fx-team: 3
* b2g-inbound: 3
* mozilla-inbound: 2
* mozilla-central: 2

Platform breakdown:
* windows7-32: 7
* osx-10-6: 3

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1145903&startday=2015-10-19&endday=2015-10-25&tree=all
Comment 31 User image OrangeFactor Robot 2015-11-01 17:07:53 PST
12 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 4
* mozilla-central: 4
* fx-team: 2
* b2g-inbound: 2

Platform breakdown:
* windows7-32: 8
* osx-10-6: 4

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1145903&startday=2015-10-26&endday=2015-11-01&tree=all
Comment 32 User image OrangeFactor Robot 2015-11-08 17:09:30 PST
11 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 4
* fx-team: 3
* mozilla-central: 2
* b2g-inbound: 2

Platform breakdown:
* windows7-32: 6
* osx-10-6: 5

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1145903&startday=2015-11-02&endday=2015-11-08&tree=all
Comment 33 User image OrangeFactor Robot 2015-11-22 17:10:47 PST
6 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* fx-team: 3
* mozilla-inbound: 2
* b2g-inbound: 1

Platform breakdown:
* windows7-32: 3
* osx-10-6: 3

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1145903&startday=2015-11-16&endday=2015-11-22&tree=all
Comment 34 User image OrangeFactor Robot 2015-12-06 17:07:21 PST
8 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 7
* mozilla-central: 1

Platform breakdown:
* windows7-32: 5
* osx-10-6: 3

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1145903&startday=2015-11-30&endday=2015-12-06&tree=all
Comment 35 User image OrangeFactor Robot 2015-12-13 17:05:05 PST
6 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 2
* b2g-inbound: 2
* mozilla-central: 1
* fx-team: 1

Platform breakdown:
* windows7-32: 5
* osx-10-6: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1145903&startday=2015-12-07&endday=2015-12-13&tree=all
Comment 36 User image OrangeFactor Robot 2016-01-24 17:07:09 PST
6 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* fx-team: 3
* try: 1
* mozilla-inbound: 1
* b2g-inbound: 1

Platform breakdown:
* windows7-32: 3
* osx-10-6: 3

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1145903&startday=2016-01-18&endday=2016-01-24&tree=all
Comment 37 User image OrangeFactor Robot 2016-02-07 17:07:34 PST
9 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 6
* fx-team: 2
* mozilla-central: 1

Platform breakdown:
* osx-10-6: 6
* windows7-32: 3

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1145903&startday=2016-02-01&endday=2016-02-07&tree=all
Comment 38 User image OrangeFactor Robot 2016-02-14 17:06:57 PST
5 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 3
* mozilla-central: 1
* mozilla-beta: 1

Platform breakdown:
* windows7-32: 3
* osx-10-6: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1145903&startday=2016-02-08&endday=2016-02-14&tree=all
Comment 39 User image Benoit Girard (:BenWa) 2016-02-17 15:29:44 PST
I was able to reproduce this using rr chaos using only 17 runs.
Comment 40 User image Benoit Girard (:BenWa) 2016-02-19 08:30:50 PST
I wonder if it's a similar issue to bug 1226748.
Comment 41 User image Benoit Girard (:BenWa) 2016-02-22 16:03:52 PST
Created attachment 8722234 [details]
MozReview Request: Bug 1145903 - Use CSS to shrinkToFit instead of a racy set of width/height on the image frame. r=seth

Review commit: https://reviewboard.mozilla.org/r/35927/diff/#index_header
See other reviews: https://reviewboard.mozilla.org/r/35927/
Comment 42 User image Benoit Girard (:BenWa) 2016-02-22 16:06:40 PST
Thanks to RR for this bug!

Basically what's happening here is we set the size of the image frame when we get the 'load' event on the image document. However we haven't loaded the CSS style sheet yet which we need to get the 'image-orientation' style. During the race condition we don't have 'image-orientation' so we ignore the exif rotation from the image.

By using CSS to shrinkToFit we don't need to size the image frame and thus CSS updates the size properly when the CSS style is loaded.
Comment 43 User image Timothy Nikkel (:tnikkel) 2016-02-22 21:00:48 PST
(In reply to Benoit Girard (:BenWa) from comment #42)
> Basically what's happening here is we set the size of the image frame when
> we get the 'load' event on the image document. However we haven't loaded the
> CSS style sheet yet

If the document has had the load event, then shouldn't any style sheets that it is using also be loaded, parsed, and applied?
Comment 44 User image Benoit Girard (:BenWa) 2016-02-22 21:03:04 PST
(In reply to Timothy Nikkel (:tnikkel) from comment #43)
> (In reply to Benoit Girard (:BenWa) from comment #42)
> > Basically what's happening here is we set the size of the image frame when
> > we get the 'load' event on the image document. However we haven't loaded the
> > CSS style sheet yet
> 
> If the document has had the load event, then shouldn't any style sheets that
> it is using also be loaded, parsed, and applied?

Good question. I haven't had time to look into that part. There's really two problems here. There's the data being wrong at the load events, and there's the data being static after it changes. My patch fixes the second part which is the most important. But it would be nice to fix the 'load' event as well. It needs more investigation.
Comment 45 User image Benoit Girard (:BenWa) 2016-02-24 11:29:17 PST
Comment on attachment 8722234 [details]
MozReview Request: Bug 1145903 - Use CSS to shrinkToFit instead of a racy set of width/height on the image frame. r=seth

:tn do you mind reviewing this?
Comment 46 User image Timothy Nikkel (:tnikkel) 2016-02-24 11:30:07 PST
Comment on attachment 8722234 [details]
MozReview Request: Bug 1145903 - Use CSS to shrinkToFit instead of a racy set of width/height on the image frame. r=seth

https://reviewboard.mozilla.org/r/35927/#review32963
Comment 47 User image Timothy Nikkel (:tnikkel) 2016-02-24 11:30:48 PST
(In reply to Timothy Nikkel (:tnikkel) from comment #43)
> (In reply to Benoit Girard (:BenWa) from comment #42)
> > Basically what's happening here is we set the size of the image frame when
> > we get the 'load' event on the image document. However we haven't loaded the
> > CSS style sheet yet
> 
> If the document has had the load event, then shouldn't any style sheets that
> it is using also be loaded, parsed, and applied?

This sounds like a serious bug if true. We should investigate this while you have a trace.
Comment 48 User image Timothy Nikkel (:tnikkel) 2016-02-24 11:39:54 PST
(In reply to Timothy Nikkel (:tnikkel) from comment #43)
> (In reply to Benoit Girard (:BenWa) from comment #42)
> > Basically what's happening here is we set the size of the image frame when
> > we get the 'load' event on the image document. However we haven't loaded the
> > CSS style sheet yet
> 
> If the document has had the load event, then shouldn't any style sheets that
> it is using also be loaded, parsed, and applied?

If it was the load event for the image, and not the image _document_, that might make more sense.
Comment 49 User image Benoit Girard (:BenWa) 2016-02-24 11:51:08 PST
Its for the image document:
http://mxr.mozilla.org/mozilla-central/source/dom/html/ImageDocument.cpp#596
Comment 50 User image Timothy Nikkel (:tnikkel) 2016-02-24 11:56:13 PST
The listener for that appears to be added here:

http://mxr.mozilla.org/mozilla-central/source/dom/html/ImageDocument.cpp#261

so it's listening for the load event of the img element. So then it makes sense.
Comment 51 User image Benoit Girard (:BenWa) 2016-02-24 14:06:58 PST
So you're saying this matches with what I saw in the replay? Do we still need to file a new bug to improve the semantics of the 'load' event for ImageDocument?

I wonder how much work it would be to remove the 'little' ammount that happens on that 'load' event. I'm not really the best person to do it honestly. But right now the image document is trying to keep the image size up to date but it's doing a terrible job at it.
Comment 52 User image Timothy Nikkel (:tnikkel) 2016-02-24 14:27:08 PST
(In reply to Benoit Girard (:BenWa) from comment #51)
> So you're saying this matches with what I saw in the replay? Do we still
> need to file a new bug to improve the semantics of the 'load' event for
> ImageDocument?

Line 596 isn't the load event for the image document, it's the load event for the img element that is inside the image document (the image document being a small html document). Since it is only the load event of the img element we don't expect a style sheet associated with the document to be loaded yet. So what you observed in replay makes sense.

What gets stored in mImageWidth/Height still depends on the ordering of the img element load event and when the CSS property image-orientation gets applied, correct? So that would still be a bug.

Seems like we could easily solve that by calling UpdateSizeFromLayout() in ImageDocument::OnLoadComplete (which is the image document load notification). mImageWidth/Height would be wrong before load, but at least we correct it.
Comment 53 User image Benoit Girard (:BenWa) 2016-02-24 14:37:27 PST
Yes, but it will still be wrong if something causes the image width/height to change. Which AFAIK is pretty much just the inspector changes.
Comment 54 User image Timothy Nikkel (:tnikkel) 2016-02-24 15:53:05 PST
(In reply to Benoit Girard (:BenWa) from comment #53)
> Yes, but it will still be wrong if something causes the image width/height
> to change. Which AFAIK is pretty much just the inspector changes.

Talked to Benoit on irc. We agreed using the devtools to edit the image doc isn't a very important case to worry about.
Comment 55 User image Timothy Nikkel (:tnikkel) 2016-02-24 15:53:54 PST
(In reply to Timothy Nikkel (:tnikkel) from comment #52)
> Seems like we could easily solve that by calling UpdateSizeFromLayout() in
> ImageDocument::OnLoadComplete (which is the image document load
> notification). mImageWidth/Height would be wrong before load, but at least
> we correct it.

OnLoadComplete is for the load notification for the image coming from imagelib. So it is also not the image document load.
Comment 56 User image Timothy Nikkel (:tnikkel) 2016-02-24 16:17:36 PST
(In reply to Timothy Nikkel (:tnikkel) from comment #55)
> (In reply to Timothy Nikkel (:tnikkel) from comment #52)
> > Seems like we could easily solve that by calling UpdateSizeFromLayout() in
> > ImageDocument::OnLoadComplete (which is the image document load
> > notification). mImageWidth/Height would be wrong before load, but at least
> > we correct it.
> 
> OnLoadComplete is for the load notification for the image coming from
> imagelib. So it is also not the image document load.

Filed bug 1251088 for this.
Comment 58 User image Timothy Nikkel (:tnikkel) 2016-02-27 10:56:39 PST
Backed out because bug 1251796 (which this caused) is more severe than this one
https://hg.mozilla.org/integration/mozilla-inbound/rev/34c4f2fb86e9
Comment 59 User image OrangeFactor Robot 2016-02-28 17:06:00 PST
6 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 4
* fx-team: 2

Platform breakdown:
* windows7-32: 6

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1145903&startday=2016-02-22&endday=2016-02-28&tree=all
Comment 60 User image Benoit Girard (:BenWa) 2016-02-29 15:00:42 PST
I'm waiting on bug 1251280 to be fixed so that I don't modify stuff on top of broken behavior.

After that I'll look if removing width/height 100% prevents bug 1251796.
Comment 61 User image OrangeFactor Robot 2016-03-20 18:06:24 PDT
5 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 5

Platform breakdown:
* windows7-32: 5

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1145903&startday=2016-03-14&endday=2016-03-20&tree=all
Comment 62 User image OrangeFactor Robot 2016-03-27 18:05:19 PDT
6 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-aurora: 3
* fx-team: 2
* mozilla-inbound: 1

Platform breakdown:
* windows7-32: 6

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1145903&startday=2016-03-21&endday=2016-03-27&tree=all
Comment 63 User image OrangeFactor Robot 2016-04-03 18:05:06 PDT
7 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 4
* fx-team: 2
* mozilla-aurora: 1

Platform breakdown:
* windows7-32: 7

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1145903&startday=2016-03-28&endday=2016-04-03&tree=all
Comment 64 User image OrangeFactor Robot 2016-04-10 18:05:53 PDT
8 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 3
* try: 2
* mozilla-central: 2
* mozilla-aurora: 1

Platform breakdown:
* windows7-32: 7
* osx-10-6: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1145903&startday=2016-04-04&endday=2016-04-10&tree=all
Comment 65 User image Timothy Nikkel (:tnikkel) 2016-04-12 22:45:51 PDT
Bug 1251088, which I just landed will probably fix this. It fixes the problem at the document load event. The image will still appear with the wrong aspect ratio before that point (there's a bug for that but I can't find it right now), so something like the patch in this bug is still wanted.
Comment 66 User image Benoit Girard (:BenWa) 2016-04-12 23:12:15 PDT
Thanks Timothy!
Comment 67 User image Benoit Girard (:BenWa) 2016-07-18 15:27:06 PDT
*** Bug 1242089 has been marked as a duplicate of this bug. ***
Comment 68 User image Benoit Girard (:BenWa) 2016-07-18 15:28:13 PDT

*** This bug has been marked as a duplicate of bug 1251088 ***

Note You need to log in before you can comment on or make changes to this bug.